# Uses of Interface
org.eclipse.core.variables.IValueVariable

Packages that use IValueVariable
Package
Description
org.eclipse.core.variables
Provides support for defining and contributing variables for the purpose of string substitution.

## Uses of IValueVariable in org.eclipse.core.variables

Methods in org.eclipse.core.variables that return IValueVariable
Modifier and Type
Method
Description
`IValueVariable`
IStringVariableManager.`getValueVariable(String name)`
Returns the value variable with the given name, or `null` if none.
`IValueVariable[]`
IStringVariableManager.`getValueVariables()`
Returns all registered value variables.
`IValueVariable`
IStringVariableManager.`newValueVariable(String name, String description)`
Returns a new read-write value variable with the given name and description with a `null` value.
`IValueVariable`
IStringVariableManager.`newValueVariable(String name, String description, boolean readOnly, String value)`
Returns a new value variable with the given properties.
Methods in org.eclipse.core.variables with parameters of type IValueVariable
Modifier and Type
Method
Description
`void`
IStringVariableManager.`addVariables(IValueVariable[] variables)`
Adds the given variables to the variable registry.
`void`
IValueVariableInitializer.`initialize(IValueVariable variable)`
Initializes the specified variable.
`void`
IStringVariableManager.`removeVariables(IValueVariable[] variables)`
Removes the given variables from the registry.
`void`
IValueVariableListener.`variablesAdded(IValueVariable[] variables)`
Notification the given variables have been added to the variable manager.
`void`
IValueVariableListener.`variablesChanged(IValueVariable[] variables)`
Notification the given variables have been changed value.
`void`
IValueVariableListener.`variablesRemoved(IValueVariable[] variables)`
Notification the given variables have been removed from the variable manager.